Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_Event_CDR_Decoder Class Reference

Inheritance diagram for TAO_ECG_Event_CDR_Decoder:

[legend]
Collaboration diagram for TAO_ECG_Event_CDR_Decoder:

[legend]
List of all members.

## Public Methods
virtual int | decode (TAO_InputCDR &cdr)
| Extracts data from <cdr>. Returns 0 on success, -1 on error.
## Public Attributes
RtecEventComm::EventSet | events

## Member Function Documentation

int TAO_ECG_Event_CDR_Decoder::decode | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| Extracts data from <cdr>. Returns 0 on success, -1 on error. Implements TAO_ECG_CDR_Processor.

## Member Data Documentation

RtecEventComm::EventSet TAO_ECG_Event_CDR_Decoder::events

The documentation for this class was generated from the following file:

- ECG_UDP_Receiver.cpp